[arch-commits] Commit in (libvpx libvpx/repos libvpx/trunk libvpx/trunk/PKGBUILD)

Ionut Biru ibiru at archlinux.org
Tue Jun 15 16:40:30 EDT 2010


    Date: Tuesday, June 15, 2010 @ 16:40:30
  Author: ibiru
Revision: 82695

initial upload

Added:
  libvpx/
  libvpx/repos/
  libvpx/trunk/
  libvpx/trunk/PKGBUILD

----------+
 PKGBUILD |   29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

Added: libvpx/trunk/PKGBUILD
===================================================================
--- libvpx/trunk/PKGBUILD	                        (rev 0)
+++ libvpx/trunk/PKGBUILD	2010-06-15 20:40:30 UTC (rev 82695)
@@ -0,0 +1,29 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+pkgname=libvpx
+pkgver=0.9.0
+pkgrel=0.20100615
+pkgdesc="The VP8 Codec SDK"
+arch=('i686' 'x86_64')
+url="http://www.webmproject.org/"
+license=('BSD')
+depends=('glibc')
+makedepends=('yasm')
+source=(ftp://ftp.archlinux.org/others/${pkgname}/${pkgname}-${pkgrel:2}.tar.xz)
+md5sums=('1bb296fa54771dc87ad7ed2f0ceeb808')
+
+build() {
+	cd "${srcdir}/${pkgname}"
+    ./configure --enable-vp8 \
+        --enable-runtime-cpu-detect \
+        --enable-shared \
+        --enable-postproc \
+        --enable-psnr \
+        --enable-pic \
+        --disable-install-docs \
+        --disable-install-srcs
+
+	make || return 1
+	make DIST_DIR="$pkgdir/usr" install || return 1
+    install -D -m 0644 LICENSE "$pkgdir/usr/share/licenses/${pkgname}/LICENSE" || return 1
+}


Property changes on: libvpx/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id



More information about the arch-commits mailing list